<?php

namespace App\Http\Resources\Admin\Structure;

use Illuminate\Http\Resources\Json\JsonResource;

class ClaimResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return ['id'=>$this->id,'text'=>$this->text,'image'=>$this->image,'client'=>['email'=>$this->client->email??"",'name'=>$this->client->name??'','last_name'=>$this->client->last_name??''],'profile'=>['email'=>$this->profile->email??"",'name'=>$this->profile->name??"",'last_name'=>$this->profile->last_name??'']];

    }
}
