<?php

namespace App\Http\Resources\Project;

use App\Http\Resources\Image\ShowImageResource;
use App\Http\Resources\Image\ShowKeyWordResource;
use App\Http\Resources\RoleProjectResource;
use App\Models\Company;
use App\Models\Image;
use App\Models\Keyword;
use App\Models\ParticipantsProject;
use App\Models\User;
use Dflydev\DotAccessData\Data;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\Auth;

class ShowListProjectResource extends JsonResource
{
//    private $role;
//    private $id;

    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
//    public function __construct($resource,$role,$id)
//    {
//
//        $this->resource = $resource;
//        $this->bb = $role;
//        $this->id = $id;
//    }

    public function toArray($request)
    {
//        return parent::toArray($request);
 //    dd($this->images->pluck('id')->toArray());
//         Image::where('imageable_id',$this->id)
  //          $this->images->map(function($da) {
//                $orders = $da->orders->filter(function($order) {
  //              return collect($da->keywords);
//                     ->map(function($da2) {
//                     return $da2;
//                 });
//                    return $order->id == 67;
 //               });
//                ->whereHas('images', function($q) {
//            $q->where('name', 'great');
//        })->get();
//        return $this->id;

        $keywords = Keyword::query()->with(['images'=>function($q){
            $q->whereIn('image_id',$this->images->pluck('id'));
        }])->whereHas('images',function($q){
            $q->whereIn('image_id',$this->images);
        })->get();
//        return $keywords;
//        return $keywords;
//        return Arr::collapse($address->id);
//        return Arr::collapse($keywords);
//        $data=array();
//     return $keywords->map(function ($address)use ( $data)  {
//
//return array_push($data,$address->name);
//return $data;
//        return $address->name->merge($data[]);
////        $set = new \Ds\Set();
////            $data[]=$address->id;
////            return $data;
////            if(in_array())
////            return $set->add($address->id);
//
//        });
//        return $hd;
        $data=null;
           if (auth('user')->user()){
            $clientId = auth('user')->user()->id;
//            $data=2;
           $data= ParticipantsProject::query()->with('industry')->where('participants_project_type',User::class)->where('participants_project_id',$clientId)->first();
        }
        else{

            if ( auth('company')->user()->id)
                $clientId = auth('company')->user()->id;
            $data=  ParticipantsProject::query()->with('industry')->where('participants_project_type',Company::class)->where('participants_project_id',$clientId)->first();

        }
//        return ;
        return [
            'id'=>$this->id,
            'name'=>$this->name,
            'type'=>$this->type,
            'images_count'=>$this->images_count,
            'role_user'=>$this->IsCreatoreUser,
            'role_company'=>$this->IsCreatoreCompany,
            'reference_number'=>$this->reference_number,
            'address'=>$this->address->main_text??"",
            'condition'=>$this->condition??"",
            'image'=>$this->images[0]['name']??"",
            'member_image'=>ShowMemberProjectResource::collection($this->participants),
            'industry'=>$data->industry->title??null,
            'keywords'=>ShowKeyWordResource::collection($keywords),
            'start_date'=>$this->start_date??null,
            'end_date'=>$this->end_date??null,
            'updated_at'=>($this->updated_at)->format('M d Y H:i A')??null,
        ];
    }
}

