<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Job extends Model
{
    use HasFactory;
    protected $table = 'jobs';
    const STATUS_PENDING=null;
    const STATUS_CONFIRMED=1;

    protected $guarded = ['id'];

    public function job_title()
    {
        return $this->belongsTo(JobTitle::class);
    }

    public function client()
    {
        return $this->morphTo('client');
    }
    public function skill(){
       return $this->belongsToMany(Skill::class,'skill_jobs');
    }
}
