<?php

namespace App\Services;

use App\Models\ServiceList;

class ListService
{
    public function addList($list, $listableType,$listableId, $client )
    {
        return ServiceList::query()->create([
            'service' => $list['service'],
            'description' => $list['description'],
            'rate' => $list['rate'],
            'amount' => $list['amount'],
            'quantity' => $list['quantity'],
            'listable_type' => $listableType,
            'listable_id' => $listableId,
            'clientList_type' => get_class($client),
            'clientList_id' => $client->id
        ]);
    }

    public function delete($listable_id, $listable_type)
    {
        return ServiceList::query()
            ->where('listable_id', $listable_id)->where('listable_type', $listable_type)->delete();
    }
}
