<?php

namespace App\Http\Requests\Admin;

use Illuminate\Foundation\Http\FormRequest;

class RegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'user_name' => ['required', 'alpha', 'min:3', 'max:20'],
            'email' => ['email', 'required'],
            'password' => ['required', 'min:8', 'max:200'],
            'role' => ['required' , 'min:3', 'max:50']
        ];
    }
}
